Razpoložljivi statusi naročil
Pridobite razpoložljive statuse trgovine. Vsak ima ime in identifikator za filtriranje naročil ali spremembo njihovega statusa.
GET
/api/v1/order-statusesZahteva cURL
curl --disable --globoff --fail-with-body --silent --show-error \
--proto '=https' --connect-timeout 5 --max-time 30 \
--request GET \
--url 'https://shop.onshopently.com/api/v1/order-statuses?limit=20' \
--header 'Authorization: Bearer EXAMPLE_ACCESS_TOKEN'
Odgovor
{
"data": [
{
"created_at": "2026-01-01T12:00:00Z",
"id": "status-0",
"is_initial": true,
"name": "New",
"position": 0
},
{
"created_at": "2026-01-01T12:00:00Z",
"id": "status-1",
"is_initial": false,
"name": "Processing",
"position": 1
}
],
"meta": {
"pagination": {
"has_more": false,
"limit": 20,
"next_cursor": null
},
"request_id": "example"
}
}
Zahtevana dovoljenja
- Preverjanje pristnosti
- Žeton za dostop
- Na voljo od paketa
- BASIC
- Dovoljenje ključa
- Oglejte si naročila
orders.order:read